'
' ------------------------------------------------------------------------------------------------------------
'| This source code is provided 'as is' and any express or implied warranties, including,                     |
'| but not limited to, the implied warranties of merchantability and fitness for a particular                 |
'| purpose are disclaimed.                                                                                    |
'|                                                                                                            |
'| In no event shall the author, Crownhill or contributers be liable for any direct, indirect, incidental,    |
'| special, exemplary, or consequential damages (including, but not limited to,  procurement of substitute    |
'| goods or services; loss of use, data, or profits;  or business interruption) however caused and on any     |
'| theory of liability, whether in contract, strict liability, or tort (including negligence or otherwise)    |
'| arising in any way out of the use of this source code, even if advised of the possibility of such damage.  |
'|                                                                                                            |
'| Any views and conclusions contained in the source code and any documentation are those of the author's     |
'| and should not be interpreted as representing official policies,                                           |
'| either expressed or implied, of Crownhill Associates Ltd.                                                  |
' ------------------------------------------------------------------------------------------------------------
'
' Demonstrate the circle command with a colour LCD
'
    Include "Amicus18_Mk2.inc"              ' Configure the compiler to use a PIC18F25K22 at 64MHz. i.e. An Amicus18 board operating at 5 Volts
'
' Setup the Pins used by the ILI9325 graphic LCD for an Amicus18 board
'
$define GLCD_RST_Pin PORTA.4                ' Connects to the LCD's Reset pin
$define GLCD_CS_Pin PORTA.3                 ' Connects to the LCD's CS pin
$define GLCD_RS_Pin PORTA.2                 ' Connects to the LCD's RS pin
$define GLCD_WR_Pin PORTA.1                 ' Connects to the LCD's WR pin
$define GLCD_RD_Pin PORTA.0                 ' Connects to the LCD's RD pin
'
' The LCD's data pins
'
$define GLCD_D10_Pin PORTB.7                ' Connects to the LCD's D10 pin
$define GLCD_D11_Pin PORTB.6                ' Connects to the LCD's D11 pin
$define GLCD_D12_Pin PORTC.5                ' Connects to the LCD's D12 pin
$define GLCD_D13_Pin PORTC.4                ' Connects to the LCD's D13 pin
$define GLCD_D14_Pin PORTC.3                ' Connects to the LCD's D14 pin
$define GLCD_D15_Pin PORTC.2                ' Connects to the LCD's D15 pin
$define GLCD_D16_Pin PORTC.1                ' Connects to the LCD's D16 pin
$define GLCD_D17_Pin PORTC.0                ' Connects to the LCD's D17 pin

    Include "ILI9325.inc"                   ' Load the ILI9325 routines into the program

    Dim wRadius As Word                     ' Create a variable for the circle's radius

'-------------------------------------------------------------------------------------------
Main:

    GLCD_Cls(clYellow)                      ' Clear the LCD with the colour yellow
    GLCD_PenColour(clBlack)                 ' Set the pixel colour to black

    For wRadius = 0 To 239
        GLCD_Circle(160, 129, wRadius)      ' Draw a series of circles
    Next


